import {createElement} from "../../_global/scripts/helpers";
import {createHeader} from "../../components/header/HeaderComponent";
import {createFooter} from "../../components/footer/FooterComponent";
import {createEventsSection} from "../../sections/events/EventsComponent";
import {createImageText} from "../../components/image-text/ImageTextComponent";
import {createETLSlider} from "../../sections/event-teaser-large-slider/EventTeaserLargeSliderComponent";
import {createEventOverviewStage} from "../../sections/eventoverview-stage/EventOverviewStageComponent";
import {sliderData} from "../../sections/event-teaser-large-slider/EventTeaserLargeSliderData";
import {createEventTeasersLarge} from "../../sections/event-teasers-large/EventTeasersLargeComponent";
import {createSlider} from "../../sections/slider/SliderComponent";
import {EventTeasersLargeSixData} from "../../sections/event-teasers-large/EventTeasersLargeData";
import './eventoverview.scss';
export const createEventOverviewPage = ({

}) => {
  const page = createElement('div', ['page', 'event-overview-page']);
  page.appendChild(createHeader({}));

  const wrapper = createElement('div', ['page-wrapper'], null, page);
  wrapper.appendChild(createEventOverviewStage({}));

  wrapper.appendChild(createETLSlider ({
    slides : sliderData,
    widemode: true,
    moreCta : {
      label: 'Mehr erfahren',
      target: '_self',
    },
    headline : 'Premium Seminare',
    
  }));
  const container1 = createElement('div', ['container'], null, wrapper);
  container1.appendChild(createImageText({
    text: '— Karsten Meinert, Unternehmensgründer aus Musterstadt',
    headline: '„Die praxisorientierten Lehrinhalte und das Engagement der Dozenten haben den Unterricht nicht nur lehrreich, sondern auch äußerst spannend gemacht.”',
    link: null,
    listItems : null,
    smallheadline: true,
  }));
  wrapper.appendChild(createEventTeasersLarge({buttonLabel:'Mehr Veranstaltungen zu Gründung und Nachfolge'}));
  wrapper.appendChild(createEventsSection({}));
  wrapper.appendChild(createEventTeasersLarge({headline:'Nur noch wenige Plätze frei',subheadline:'Nutzen Sie die letzte Chance, um sich einen der begehrten Plätze in unseren Seminaren zu sichern.',buttonLabel:'Mehr Veranstaltungen entdecken'}));
  wrapper.appendChild(createEventTeasersLarge({headline:'Die beliebtesten Veranstaltungen',subheadline:'Erstklassige Inhalte und inspirierende Vorträge erwarten Sie!',events: EventTeasersLargeSixData,buttonLabel:'Mehr Veranstaltungen entdecken'}));
  wrapper.appendChild(createSlider({}));
  page.appendChild(createFooter({}));

  return page;
}